/**
 * PackageToc - parse a .packagetoc file
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.pkgview;

import uk.co.petertribble.jumble.JumbleFile;
import java.io.File;
import java.util.*;

public class PackageToc {

    private static String PKGTOC = ".packagetoc";

    // FIXME: these should be sorted in some way
    private List <SolarisPackage> pkglist;

    public PackageToc(String s) {
	File f = new File(s, PKGTOC);
	pkglist = new ArrayList <SolarisPackage> ();
	String[] lines = JumbleFile.getStringContents(f).split("\n");
	String thispkgname = null;
	SolarisPackage thispkg = null;
	for (int i = 0; i < lines.length; i++) {
	    String[] ds = lines[i].split("=", 2);
	    if (ds[0].equals("PKG")) {
		thispkgname = ds[1];
		thispkg = new SolarisPackage(thispkgname);
		pkglist.add(thispkg);
	    } else if (ds[0].equals("VERSION")) {
		thispkg.setVersion(ds[1]);
	    } else if (ds[0].equals("CATEGORY")) {
		thispkg.setCategories(ds[1]);
	    } else if (ds[0].equals("NAME")) {
		thispkg.setName(ds[1]);
	    } else if (ds[0].equals("DESC")) {
		thispkg.setDescription(ds[1]);
	    } else if (ds[0].equals("SUNW_PDEPEND")) {
		thispkg.addDependency(ds[1], "P");
	    } else if (ds[0].equals("SUNW_IDEPEND")) {
		thispkg.addDependency(ds[1], "I");
	    } else if (ds[0].equals("SUNW_RDEPEND")) {
		thispkg.addDependency(ds[1], "R");
	    }
	}
    }

}
