/**
 * SmfList - shows SMF services in a JList
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import javax.swing.*;

public class SmfList extends JList {

    private SmfUtils smfutil;

    protected DefaultListModel model;

    /**
     * Display a list of SMF services
     */
    public SmfList() {
	this(new SmfUtils());
    }

    /**
     * Display a list of SMF services
     */
    public SmfList(SmfUtils smfutil) {
	this.smfutil = smfutil;
	model = new DefaultListModel();
	for (String s : smfutil.getServices()) {
	    model.addElement(s);
	}
	setModel(model);
    }

    public String getStatus(String smf) {
	return smfutil.getStatus(smf);
    }

    public String getLog(String smf) {
	return smfutil.getLog(smf);
    }

    public String getHtmlInfo(String smf) {
	return smfutil.getHtmlInfo(smf);
    }

    public SmfService getService(String smf) {
	return smfutil.getService(smf);
    }

}
